From bdd582487a02275d82bfda01ebb6d0605c0349d0 Mon Sep 17 00:00:00 2001
From: Simon Lang <simon.lang@outlook.com>
Date: Tue, 12 May 2020 22:54:52 +0100
Subject: [PATCH] Improve ediff readability in misterioso theme

* etc/themes/misterioso-theme.el: Add ediff faces
---
 etc/themes/misterioso-theme.el | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/etc/themes/misterioso-theme.el b/etc/themes/misterioso-theme.el
index 8161dbd9e9..ff9af0c744 100644
--- a/etc/themes/misterioso-theme.el
+++ b/etc/themes/misterioso-theme.el
@@ -63,6 +63,13 @@
    `(button ((,class (:underline t))))
    `(link ((,class (:foreground "#59e9ff" :underline t))))
    `(link-visited ((,class (:foreground "#ed74cd" :underline t))))
+   ;; Ediff
+   `(ediff-even-diff-A ((,class (:background "#1d2430"))))
+   `(ediff-even-diff-B ((,class (:background "#1d2430"))))
+   `(ediff-even-diff-C ((,class (:background "#1d2430"))))
+   `(ediff-odd-diff-A ((,class (:background "#415160"))))
+   `(ediff-odd-diff-B ((,class (:background "#415160"))))
+   `(ediff-odd-diff-C ((,class (:background "#415160"))))
    ;; Gnus faces
    `(gnus-group-news-1 ((,class (:foreground "#ff4242" :weight bold))))
    `(gnus-group-news-1-low ((,class (:foreground "#ff4242"))))
-- 
2.21.0 (Apple Git-122)

